function bdf_Deploie(key) {
    var deployBlock = $("#DEPLOYBLOCK_" + key);
    var deployBox = $("#DEPLOYBOX_" + key);
    bdf_ChangeDeploy(deployBlock, deployBox);
}

function bdf_ChangeDeploy(deployBlock, deployBox) {
    var deploiement = deployBlock.hasClass("Invisible");
    bdf_Toggle(deployBlock, deploiement);
    bdf_SetDeployBox(deployBox, deploiement);
    return deploiement;
}

function bdf_DeploieFromCheck(checkBox, blockId) {
    var visible = checkBox.checked;
    var block = $("#" + blockId);
    bdf_Toggle(block, visible);
    return visible;
}

function bdf_DeploieFromInvertCheck(checkBox, blockId) {
    var visible = !checkBox.checked;
    var block = $("#" + blockId);
    bdf_Toggle(block, visible);
    return visible;
}

function bdf_SetDeployBox(jqueryObj, ouvert) {
    jqueryObj.empty();
    if (ouvert) {
        jqueryObj.append("-");
    }
    else {
        jqueryObj.append("+");
    }
}

function bdf_ChangeSubset(select,page) {
    var name = select.name;
    var option = select.options[select.selectedIndex];
    var url = "";
    if (name == "corpus") {
        url = "Corpus?corpus=";
    }
    else if (name == "thesaurus") {
        url = "Thesaurus?thesaurus=";
    }
    else if (name == "sphere") {
        url = "Sphere?sphere=";
    }
    url = url + option.value;
    if (page.length > 0) {
        url = url + "&page=" + page;
    }
    window.location = url;
}

function bdf_Toggle(block, visible) {
    if (visible) {
        bdf_Show(block)
    }
    else {
        bdf_Hide(block)
    }
}

function bdf_Hide(block) {
    block.hide("fast", bdf_AfterHide);
}

function bdf_Show(block) {
    block.show("fast",bdf_AfterShow);
}

function bdf_AfterShow() {
    $(this).removeClass("Invisible");
}

function bdf_AfterHide() {
    $(this).addClass("Invisible");
}
