function FF_ImageSource(element) {
    this.name = FF_Utils.getBlocName(element);
    this.jqEl = $(element);
}

FF_ImageSource.init = function() {
    var blocList = $("div.JQ_FF_IMAGESOURCE");
    var ln = blocList.length;
    for(var i = 0; i < ln; i++) {
        var el = blocList.get(i);
        var imageSource = new FF_ImageSource(el);
        imageSource.initDivs();
        imageSource.updateLinks();
    }
};

FF_ImageSource.pioche = function (name, action) {
    var url = "Pioche?category=imagesource&action=" + action + "&appelant=ID_FF_CHAMP_" + name;
    var param = FF_Core.getParam(name);
    url = url + "&imagefield=" + param;
    FF_Utils.openDialog(url,"pioche_" + name,520,500);
}

FF_ImageSource.update = function (appelantId, imageName, imageSrc) {
    $("#" + appelantId + "_src").attr("value", imageName);
    var blocEl = $("#ID_FF_BLOC_" + appelantId.substring("ID_FF_CHAMP_".length));
    var imageSource = new FF_ImageSource(blocEl[0]);
    imageSource.updateImg(imageSrc, imageName);
    imageSource.updateLinks();
}

FF_ImageSource.prototype.initDivs = function () {
    var imageCell = $(this.jqEl.find("td.JQ_FF_IMAGECELL")[0]);
    var imgEl = imageCell.find("img");
    if (imgEl.length > 0) {
        imgEl.wrap("<div class=\"jq_FF_ImageSource_Img\"></div>");
    }
    else {
        imageCell.append("<div class=\"jq_FF_ImageSource_Img\"></div>");
    }
    imageCell.append("<div class=\"jq_FF_ImageSource_Links\"></div>");
};

FF_ImageSource.prototype.updateImg = function (imageSrc, imageName) {
    var imgDivEl = this.jqEl.find("div.jq_FF_ImageSource_Img");
    imgDivEl.empty();
    if (imageSrc.length > 0) {
        imgDivEl.append("<img src=\"" + imageSrc + "\" alt=\"" + imageName + "\"/>");
    }
}

FF_ImageSource.prototype.updateLinks = function () {
    var imgEl = this.jqEl.find("div.jq_FF_ImageSource_Img img");
    var linksContent = "";
    if (imgEl.length > 0) {
    //linksContent = this.getSpan("form-modif", "global_link_imagesource_modif") + " " +
    //this.getSpan("form-supp", "global_link_imagesource_supp");
    }
    else {
        linksContent = this.getSpan("form-creat", "global_link_imagesource_creat");
    }
    var linksEl = $("div.jq_FF_ImageSource_Links");
    linksEl.empty();
    linksEl.append(linksContent);
}

FF_ImageSource.prototype.getSpan = function (action, locKey) {
    var texte = "<span class=\"jq_FF_ToolLink\" onclick=\"FF_ImageSource.pioche('" + this.name + "','" +
    action + "')\">[" + FF_Core.getLoc(locKey) + "]<span>";
    return texte;
};
