function FF_Liage () {

}

FF_Liage.init = function () {
    FF_Liage.initCorpus();
    FF_Liage.initLiage();
};

FF_Liage.initLiage = function () {
    var iconName = "pioche_fiche_all";
    var blocList = $("div.JQ_FF_LIAGE");
    var ln = blocList.length;
    for(var i = 0; i < ln; i++) {
        var el = blocList.get(i);
        var name = FF_Utils.getBlocName(el);
        var inputDiv = "<div class=\"jq_FF_OutilsItem\">"
        + FF_Core.getIconTool32x16(iconName + ".png","global_link_pioche_fiche_all","FF_Liage.pioche", "'" + name + "',''")
        + "</div>";
        $(el).children("div.JQ_FF_INPUTSOUSBLOC").append(inputDiv);
        FF_Liage.initListSousbloc(el);
    }
};

FF_Liage.initCorpus = function () {
    var iconName = "pioche_fiche_one";
    var blocList = $("div.JQ_FF_FICHE");
    var ln = blocList.length;
    for(var i = 0; i < ln; i++) {
        var el = blocList.get(i);
        var name = FF_Utils.getBlocName(el);
        var subsetSubId =  FF_Utils.getSubsetSubId(name, "corpus");
        var appendScript = "<div class=\"jq_FF_OutilsItem\">"
        + FF_Core.getIconTool32x16(iconName + ".png", "corpus_" + subsetSubId,"FF_Liage.pioche", "'" + name + "','" + subsetSubId + "'")
        + "</div>";
        $(el).children("div.JQ_FF_INPUTSOUSBLOC").append(appendScript);
        if ($(el).find("div.JQ_FF_LISTSOUSBLOC span.JQ_FF_POIDS").length > 0) {
            FF_Liage.initListSousbloc(el);
        }
    }
};

FF_Liage.initListSousbloc = function (element) {
    var listDiv = "<div class=\"jq_FF_OutilsItem\">"
    + FF_Liage.getPoidsIcon("on", element.id)
    + "</div>";
    var listSousbloc = $(element).children("div.JQ_FF_LISTSOUSBLOC");
    if (listSousbloc.find("label").length > 0) {
        listSousbloc.append(listDiv);
    }
};

FF_Liage.pioche = function (name, subsets) {
    var limite = FF_Core.getLimite(name);
    if (limite == null) {
        limite = -1;
    }
    var appelant = "ID_FF_CHAMP_" + name;
    var url = "Pioche?category=corpus&subsets=" + subsets + "&appelant=" + appelant + "&limite=" + limite;
    var param = FF_Core.getParam(name);
    if (param != null) {
        url = url + "&param=" + param;
    }
    var piocheSelect = FF_Core.getPiocheSelect(name);
    if (piocheSelect != null) {
        url = url + "&piocheselect=" + encodeURI(piocheSelect);
    }
    FF_Utils.openDialog(url,"pioche_" + name, 430,510);
};

FF_Liage.getPoidsIcon = function (state, id) {
    var fonction = "";
    if (state == "on") fonction="FF_Liage.affichagePoids";
    else fonction = "FF_Liage.validationPoids";
    var iconName = "form_poids_";
    var txt = FF_Core.getIconTool32x16(iconName + state + ".png","global_link_poids_" + state,fonction, "'" + id + "'");
    return txt;
};

FF_Liage.affichagePoids = function (id) {
    var jqEl = $("#" + id);
    jqEl.find("div.JQ_FF_LISTSOUSBLOC div.jq_FF_OutilsItem").empty().append(FF_Liage.getPoidsIcon("off",id));
    var checkBoxList = jqEl.find("div.JQ_FF_LISTSOUSBLOC input");
    for(var i = 0; i < checkBoxList.length; i++) {
        var checkBox = checkBoxList.get(i);
        var poids = FF_Utils.getPoids(checkBox.value);
        var parentBloc = $(checkBox).parent().parent();
        parentBloc.find("label").after(parentBloc.find("span.JQ_FF_LABELTEXT"));
        parentBloc.find("span.JQ_FF_POIDS").empty().append("<input type=\"text\" value=\"" + poids + "\" size=\"3\">");
    }
};

FF_Liage.validationPoids = function (id) {
    var jqEl = $("#" + id);
    jqEl.find("div.JQ_FF_LISTSOUSBLOC div.jq_FF_OutilsItem").empty().append(FF_Liage.getPoidsIcon("on",id));
    var textInputList = jqEl.find("div.JQ_FF_LISTSOUSBLOC span.JQ_FF_POIDS input");
    for(var i = 0; i < textInputList.length; i++) {
        var textInput = textInputList.get(i);
        var value = $.trim(textInput.value);
        var textSpan = $(textInput).parent();
        var parentBloc = $(textSpan).parent().parent();
        var checkBox = parentBloc.find("label input").get(0);
        if (FF_Utils.checkPoids(value)) {
            FF_Liage.updateCheckBox(checkBox, value);
        }
        parentBloc.find("label").append(parentBloc.find("span.JQ_FF_LABELTEXT"));
        textSpan.empty().append(FF_Utils.getPoidsString(checkBox.value));
    }
};

FF_Liage.updateCheckBox = function (checkBox,poids) {
    var currentValue = checkBox.value;
    var idx = currentValue.indexOf("<");
    if (idx > -1) {
        currentValue = currentValue.substring(0, idx);
    }
    if (poids > 1) {
        checkBox.value = currentValue + "<" + poids + ">";
    } else  {
        checkBox.value = currentValue;
    }
};





